<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '14px' }"></ngx-loading>
<div id="pcoded" (window:resize)="onResize($event)" class="pcoded iscollapsed" theme-layout="vertical" vertical-placement="left"
  vertical-layout="wide" [attr.pcoded-device-type]="deviceType" [attr.vertical-nav-type]="verticalNavType" [attr.vertical-effect]="verticalEffect"
  vnavigation-view="view1">
  <div class="pcoded-overlay-box"></div>
  <div class="pcoded-container navbar-wrapper">
    <nav class="navbar header-navbar pcoded-header" header-theme="theme4" pcoded-header-position="fixed">
      <div class="navbar-wrapper">
        <div class="navbar-logo" navbar-theme="theme5">
          <a class="mobile-menu" id="mobile-collapse" href="javascript:;" (click)="toggleOpened()" [exclude]="'#main_navbar'" (clickOutside)="onClickedOutside($event)">
            <i class="ti-menu"></i>
          </a>
          <a [routerLink]="['/forget-password']" style="margin-left:20px">
            <img class="img-fluid" src="assets/images/logo4.png" alt="Theme-Logo" />
          </a>
          <a (click)="onMobileMenu()" class="mobile-options">
            <i class="ti-more"></i>
          </a>
        </div>
        <div class="navbar-container">
          <div>
            <!-- <ul [@mobileMenuTop]="isCollapsedMobile" class="nav-right" [ngClass]="isCollapsedMobile" style="margin-right: 20px">
              <li class="header-notification lng-dropdown" style="color: white">{{'general.choose_language' | translate}}
                <a href="javascript:;" id="dropdown-active-item">
                  <i class="fa fa-language"></i>
                  <span>{{ActiveLang}}</span>
                  <i class="ti-angle-down"></i>
                </a>
                <ul class="show-notification" style="height: 300px; overflow-x: scroll">
                  <li *ngFor="let lang of translate.getLangs()" [class.selected]="lang === translate.currentLang">
                    <a href="javascript:;" data-lng="id" (click)="setLanguage(lang.KeyValue)">
                      {{lang.KeyValue}}
                    </a>
                  </li>
                </ul>
              </li>
            </ul> -->
          </div>
        </div>
      </div>
    </nav>

    <section class="login p-fixed d-flex text-center bg-primary common-img-bg2">
      <div class="auth-fluid">
        <div class="row">
          <div class="col-sm-1">
          </div>
          <div class="col-sm-4">
            <div class="login-card card-body auth-body">
              <div class="md-float-material">
                <div class="text-center">
                  <img src="assets/images/auth/logo2.png" alt="logo2.png">
                </div>
                <div class="auth-box">
                  <div class="row m-b-20">
                    <div class="col-md-12">
                      <h3 class="text-left">{{'login_register.you_forget' | translate}}?
                        <br/>
                      </h3>
                      <label>&nbsp;</label>
                      <div class="form-radio text-left">
                        <div class="radio radiofill radio-primary radio-inline">
                          <label class="text-left">
                            <input type="radio" name="member" value="username" data-bv-field="member" (change)="radioBtn($event.target.value)">
                            <i class="helper"></i>{{'login_register.username' | translate}} (Email)
                          </label>
                        </div>
                      </div>
                      <div class="form-radio text-left">
                        <div class="radio radiofill radio-primary radio-inline">
                          <label class="text-left">
                            <input type="radio" name="member" value="password" data-bv-field="member" (change)="radioBtn($event.target.value)">
                            <i class="helper"></i>{{'login_register.password' | translate}}
                          </label>
                        </div>
                      </div>
                    </div>
                  </div>

                  <form [formGroup]="forgetusernameform" (ngSubmit)="onSubmitUsername()" *ngIf="forgotform == 'username'">
                    <div class="form-group text-left text-dark">
                      <input type="text" class="form-control" id="Firstname" formControlName="Firstname" placeholder="{{'login_register.your_first_name' | translate}}">
                      <span class="messages text-danger" *ngIf="!forgetusernameform.get('Firstname').valid && forgetusernameform.get('Firstname').touched">* Please Enter First Name</span>
                    </div>
                    <div class="form-group text-left text-dark">
                      <input type="text" class="form-control" id="Lastname" formControlName="Lastname" placeholder="{{'login_register.your_last_name' | translate}}">
                      <span class="messages text-danger" *ngIf="!forgetusernameform.get('Lastname').valid && forgetusernameform.get('Lastname').touched">* Please Enter Last Name</span>
                    </div>
                    <div class="form-group text-left text-dark">
                      <select class="form-control" id="Country" formControlName="CountryID" formControlName="CountryID">
                        <option value="">{{'login_register.select_your_country' | translate}}</option>
                        <option *ngIf="datacountry==null">{{'general.loading' | translate}} ...</option>
                        <option *ngIf="datacountry==''">{{'general.data_empty' | translate}}</option>
                        <option *ngFor="let item of datacountry" value={{item.countries_code}}>{{item.countries_name}}</option>
                      </select>
                      <span class="messages text-danger" *ngIf="!forgetusernameform.get('CountryID').valid && forgetusernameform.get('CountryID').touched">* Please Enter Country</span>
                    </div>
                    <div class="form-group text-left text-dark">
                      <div class="form-inline">
                        <div class="input-group">
                          <input readonly="true" class="form-control" placeholder="Your Date Birth" name="dp1" [(ngModel)]="modelPopup1" ngbDatepicker
                            #d1="ngbDatepicker" id="DateBirth" formControlName="DateBirth" [minDate]="minDate" [maxDate]="maxDate">
                          <div class="input-group-addon bg-default" (click)="d1.toggle()">
                            <span class="icofont icofont-ui-calendar"></span>
                          </div>
                        </div>
                        <span class="messages text-danger" *ngIf="!forgetusernameform.get('DateBirth').valid && forgetusernameform.get('DateBirth').touched">* Please Enter Date Birth</span>
                      </div>
                    </div>
                    <div class="form-group text-left text-dark">
                      <button type="submit" class="btn btn-primary btn-md btn-block text-center">
                        Submit
                      </button>
                    </div>
                    <div class="form-group" *ngIf="data!='' && data!=null">
                      <label class="text-dark text-center">
                        {{'login_register.your_username' | translate}} (Email) is
                        <br/>
                        <strong>{{data[0].Email}}
                          <br/>
                        </strong>
                      </label>
                      <button [routerLink]="['/login-student']" type="button" class="btn btn-default btn-md btn-block text-center">
                        {{'login_register.back_login' | translate}}
                      </button>
                    </div>
                    <div class="form-group" *ngIf="data==''">
                      <label class="text-dark text-center">
                        {{'login_register.dont_have_account' | translate}}
                      </label>
                    </div>
                  </form>

                  <form [formGroup]="forgetpasswordform" (ngSubmit)="onSubmitPassword()" *ngIf="forgotform == 'password'">
                    <div class="col-md-12 col-xl-12 form-group">
                      <input type="email" class="form-control" id="Email" formControlName="Email" placeholder="{{'login_register.your_email' | translate}}">
                      <span class="messages text-danger" *ngIf="!forgetpasswordform.get('Email').valid && forgetpasswordform.get('Email').touched">* Please Enter Your Email</span>
                    </div>
                    <div class="col-md-12 col-xl-12 form-group">
                      <button type="submit" class="btn btn-primary btn-md btn-block text-center">
                        {{'login_register.btn_resetsend_email' | translate}}
                      </button>
                    </div>
                  </form>

                  <hr/>
                  <div class="row">
                    <div class="col-md-10">
                      <p class="text-inverse text-left m-b-0">{{'login_register.thank_you' | translate}}.</p>
                    </div>
                    <div class="col-md-2">
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-sm-1">
          </div>
          <div class="col-md-6">
            <div class="login-card card-body auth-body" style="
            background-color: #ffffff; 
            border-radius: 8px;
            padding-bottom: 50px;
            margin: 65px 0 10px 0;">
              <div style="color: #383636;font-size: 32px;text-align: left;font-weight: inherit;">
                <!-- Autodesk Training Evaluation
                <br/>Survey for Students
                <br/>
                <br/> -->
                {{'login_register.info_student1' | translate}}
                <br/>
                <br/>
              </div>
              <div style="color: #383636;font-size: 18px;text-align: left;font-weight: inherit;">
                <strong>{{'login_register.info_admin3' | translate}} &
                  <br/>{{'login_register.info_admin4' | translate}}</strong>
                <br/>
                <br/> {{'login_register.info_admin5' | translate}}
                <br/>{{'login_register.info_admin6' | translate}}
                <br/>{{'login_register.info_admin7' | translate}}.
                <br/>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>
</div>